<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  ...attributes
>
  <:view>
    {{#if @value}}
      <ol>
        {{#each @value as |item|}}
          <li>
            <LinkTo @route="manage.event.edit" @model={{@value.add}}>
              {{item.name}}
            </LinkTo>
          </li>
        {{/each}}
      </ol>
    {{else}}
      <div class="alert alert-secondary" role="alert">
        {{t "_dashboard.message-no-event-selected"}}
      </div>
    {{/if}}
  </:view>

  <:edit>
    <Input::EventList @value={{this.value}} @onChange={{this.change}} @list={{@list}} />
  </:edit>
</Manage::FieldContainer>